import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';

<Meta
  title="util/digi-util-breakpoint-observer"
  parameters={{
    actions: {
      handles: [
        'afOnChange',
        'afOnSmall',
        'afOnMedium',
        'afOnLarge',
        'afOnXLarge'
      ]
    }
  }}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard


This is the standard implementation. The component will emit events on init and when page breakpoint change.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <script>
        const el = document.querySelector('.message');
        el.innerText = '';
        document.addEventListener('afOnChange', (e) => {
          console.log(e);
          var text = "I'm inside the observer! Page breakpoint is now: <strong>" + e.detail.value + "</strong>";
          el.innerHTML = text
        })
      </script>
      <digi-util-breakpoint-observer>
        <digi-typography>
          <p class="message"></p>
        </digi-typography>
      </digi-util-breakpoint-observer>
    `}
  </Story>
</Canvas>
